using UnityEngine;
using System.Collections;

public class Damage {
	public enum Type {
		PURE,
		
		RED,
		GREEN,
		BLUE
	}
	
	private Type type;
	private float amount;
	
	public Damage(Type t, float a) {
		type = t;
		amount = a;
	}
	
	public Type getType() {
		return type;
	}
	
	public float getAmount() {
		return amount;
	}
}
